System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_reactive_babel_plugin_constraint_connectors_active_expression_babel_plugin_constraint_connectors_active_expression_js = _recorder_._src_client_reactive_babel_plugin_constraint_connectors_active_expression_babel_plugin_constraint_connectors_active_expression_js || {};

      const SHARED_FLAG_GENERATED_IMPORT_IDENTIFIER = 'SHARED_FLAG_GENERATED_IMPORT_IDENTIFIER';

      Object.defineProperty(_recorder_._src_client_reactive_babel_plugin_constraint_connectors_active_expression_babel_plugin_constraint_connectors_active_expression_js, 'SHARED_FLAG_GENERATED_IMPORT_IDENTIFIER', {
        get() {
          return SHARED_FLAG_GENERATED_IMPORT_IDENTIFIER;
        },

        set(thisIsVererySecretVariableName) {
          SHARED_FLAG_GENERATED_IMPORT_IDENTIFIER = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });

      _export('default', function ({ types: t, template }) {
        return {
          name: 'constraint-connectors-active-expression',
          visitor: {
            Program: {
              enter(path, state) {}
            }
          }
        };
      });
    }
  };
});